# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class NumberUnit<T extends java.lang.Number>

    java.lang.Object
      com.google.api.gbase.client.NumberUnit<T>

Type Parameters:
  `T` - concrete type for the value, either Integer or Float

    public class NumberUnit<T extends java.lang.Number>

extends java.lang.Object

A number with a unit.

Constructor Summary
`NumberUnit(T value, java.lang.String unit)` Creates a new value with a unit.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getUnit()` Gets the unit.
`T` `getValue()` Gets the value.
`int` `hashCode()`
`java.lang.String` `toString()` Gets the standard string representation for such an object: `value " " unit`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumberUnit

    public NumberUnit(T value,
                      java.lang.String unit)

  Creates a new value with a unit.

Method Detail

### getValue

    public T getValue()

  Gets the value.

### getUnit

    public java.lang.String getUnit()

  Gets the unit.

### toString

    public java.lang.String toString()

  Gets the standard string representation for such an object: `value " " unit`

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`